#ifndef XMATERIALCONSTANTDEF_H
#define XMATERIALCONSTANTDEF_H

#include "xasset.h"

#include <QVector>

class XMaterialConstantDef : public XAsset
{
public:
    XMaterialConstantDef();
    ~XMaterialConstantDef();

    virtual void ParseData(QDataStream* aStream) override;
    virtual void Clear() override;

private:
    unsigned int mNameHash;
    QString mName;
    QVector<float> mLiteral;
};

#endif // XMATERIALCONSTANTDEF_H
